#
# spec file for package python-sphinxcontrib-websupport
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinxcontrib-websupport
Version:        1.0.1
Release:        4.2.1
Summary:        Sphinx API for Web Apps
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            http://sphinx-doc.org/
Source:         https://files.pythonhosted.org/packages/source/s/sphinxcontrib-websupport/sphinxcontrib-websupport-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module sphinxcontrib}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Jinja2
Requires:       python-six
Requires:       python-sphinxcontrib
Recommends:     python-Sphinx
Suggests:       python-Whoosh
Suggests:       python-xapian
Suggests:       python-SQLAlchemy
BuildArch:      noarch

%python_subpackages

%description
sphinxcontrib-webuspport provides a Python API to integrate Sphinx
documentation into your Web application.

%prep
%setup -q -n sphinxcontrib-websupport-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES LICENSE README.rst
%dir %{python_sitelib}/sphinxcontrib/
%{python_sitelib}/sphinxcontrib/websupport/
%{python_sitelib}/sphinxcontrib_websupport-%{version}-py*-nspkg.pth
%{python_sitelib}/sphinxcontrib_websupport-%{version}-py*.egg-info

%changelog
* Mon Sep 18 2017 toddrme2178@gmail.com
- Created base namespace package based on sphinxcontrib-websupport
  sphinxcontrib-websupport is used since Sphinx depends on it, so
  all other sphinxcontrib packages depend on it indirectly.
  This avoids dependency loops between sphinxcontrib-websupport
  and Sphinx.
* Mon Sep 18 2017 toddrme2178@gmail.com
- Specify files to guarantee namespace package doesn't conflict
  with python(2|3)-Sphinx
* Wed Jun 28 2017 jengelh@inai.de
- Ensure neutrality of description.
* Mon Jun 26 2017 tbechtold@suse.com
- Initial packaging (version 1.0.1)
